Crashpad

Public Member Functions | List of all members
crashpad::ScopedProcessSuspend Class Reference

Manages the suspension of another process. More...

`#include "util/win/scoped_process_suspend.h"`

## Public Member Functions
| ScopedProcessSuspend (HANDLE process)
| Does not take ownership of process.

## Detailed Description

Manages the suspension of another process.

While an object of this class exists, the other process will be suspended. Once the object is destroyed, the other process will become eligible for resumption.

If this process crashes while this object exists, there is no guarantee that the other process will be resumed.

The documentation for this class was generated from the following files:

- util/win/scoped_process_suspend.h
- util/win/scoped_process_suspend.cc